Alembic Version 1.1

Public Member Functions | List of all members
Alembic::Util::ALEMBIC_VERSION_NS::bool_t Class Reference

`#include <PlainOldDataType.h>`

## Public Member Functions
| bool_t ()
| bool_t (bool tf)
| bool_t (byte_t b)
bool_t & | operator= (bool tf)
bool_t & | operator= (byte_t b)
bool_t | operator! (void)
bool | asBool () const
| operator bool () const

## Detailed Description

BOOLEAN BASE TYPE - since C++ doesn't explicitly demand that bool be a given bit depth, but we need it to be here, we make our own bool type, which is a bit silly. This is purely for storage reasons.

Definition at line 64 of file PlainOldDataType.h.

## Constructor & Destructor Documentation

## ◆ bool_t() [1/3]

Alembic::Util::ALEMBIC_VERSION_NS::bool_t::bool_t | ( |  | ) |
| inline

Definition at line 67 of file PlainOldDataType.h.

Referenced by operator!().

Here is the caller graph for this function:

## ◆ bool_t() [2/3]

Alembic::Util::ALEMBIC_VERSION_NS::bool_t::bool_t | ( | bool | tf | ) |
| inline

Definition at line 69 of file PlainOldDataType.h.

## ◆ bool_t() [3/3]

Alembic::Util::ALEMBIC_VERSION_NS::bool_t::bool_t | ( | byte_t | b | ) |
| inline

Definition at line 70 of file PlainOldDataType.h.

## Member Function Documentation

## ◆ asBool()

bool Alembic::Util::ALEMBIC_VERSION_NS::bool_t::asBool | ( |  | ) | const
| inline

Definition at line 96 of file PlainOldDataType.h.

Referenced by Alembic::Util::ALEMBIC_VERSION_NS::operator!=(), and Alembic::Util::ALEMBIC_VERSION_NS::operator==().

Here is the caller graph for this function:

## ◆ operator bool()

Alembic::Util::ALEMBIC_VERSION_NS::bool_t::operator bool | ( |  | ) | const
| inline

Definition at line 97 of file PlainOldDataType.h.

## ◆ operator!()

bool_t Alembic::Util::ALEMBIC_VERSION_NS::bool_t::operator! | ( | void |  | ) |
| inline

Definition at line 91 of file PlainOldDataType.h.

References bool_t().

Here is the call graph for this function:

## ◆ operator=() [1/2]

bool_t & Alembic::Util::ALEMBIC_VERSION_NS::bool_t::operator= | ( | bool | tf | ) |
| inline

Using default copy constructor ... Using default assignment operator ...

Definition at line 79 of file PlainOldDataType.h.

## ◆ operator=() [2/2]

bool_t & Alembic::Util::ALEMBIC_VERSION_NS::bool_t::operator= | ( | byte_t | b | ) |
| inline

Definition at line 85 of file PlainOldDataType.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Util/PlainOldDataType.h